Bug 18521 - Renew and search hotkeys are swapped on returns page.
Summary: Renew and search hotkeys are swapped on returns page.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Alex Buckley
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-01 19:23 UTC by Tim McMahon
Modified: 2019-10-14 19:58 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18521 - Moving the if CAN_user_circulate_circulate_remaining_permissions conditional block (3.04 KB, patch)
2018-05-24 22:51 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18521 - Moving the if CAN_user_circulate_circulate_remaining_permissions conditional block (3.14 KB, patch)
2018-06-15 19:49 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18521: Fix key binding in the header (3.16 KB, patch)
2018-06-22 14:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tim McMahon 2017-05-01 19:23:21 UTC
The hotkeys for the tabs on the staff interface returns page (/cgi-bin/koha/circ/returns.pl) are not working correctly.  Alt-W selects the tab labeled 'Search the catalog' and should select 'Renew'.  Alt-Q selects the tab labeled 'Renew' and should select 'Search the catalog'.
Comment 1 Marc Véron 2017-05-01 20:21:32 UTC
Confirmed.
Comment 2 Alex Buckley 2018-05-24 22:51:24 UTC
Created attachment 75551 [details] [review]
Bug 18521 - Moving the if CAN_user_circulate_circulate_remaining_permissions conditional block

Moving the conditional block [% IF (CAN_user_circulate_circulate_remaining_permissions ) %] block up the checkin-search.inc file above the CAN_user_catalogue IF conditional block fixes this bug.

Test plan:
1. Go to the circ home page and confirm the following
keyboard shortcuts work:

Alt+q = goes to search catalog
Alt+w = goes to renew

2. Go to returns.pl and confirm the following  keyboard shortcuts work:

Alt+q = goes to renew
Alt+w = goes to search catalog

3. Apply patch

4. Restart apache2, memchached and plack

5. Confirm on the returns.pl the following keyboard shortcuts work:
Alt+q = goes to search catalog
Alt+w = goes to renew

Sponsored-By: Catalyst IT
Comment 3 Maryse Simard 2018-06-15 19:49:20 UTC
Created attachment 76108 [details] [review]
Bug 18521 - Moving the if CAN_user_circulate_circulate_remaining_permissions conditional block

Moving the conditional block [% IF (CAN_user_circulate_circulate_remaining_permissions ) %] block up the checkin-search.inc file above the CAN_user_catalogue IF conditional block fixes this bug.

Test plan:
1. Go to the circ home page and confirm the following
keyboard shortcuts work:

Alt+q = goes to search catalog
Alt+w = goes to renew

2. Go to returns.pl and confirm the following  keyboard shortcuts work:

Alt+q = goes to renew
Alt+w = goes to search catalog

3. Apply patch

4. Restart apache2, memchached and plack

5. Confirm on the returns.pl the following keyboard shortcuts work:
Alt+q = goes to search catalog
Alt+w = goes to renew

Sponsored-By: Catalyst IT

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and it works.
Comment 4 Jonathan Druart 2018-06-22 14:42:27 UTC
Created attachment 76291 [details] [review]
Bug 18521: Fix key binding in the header

Moving the conditional block [% IF (CAN_user_circulate_circulate_remaining_permissions ) %] block up the checkin-search.inc file above the CAN_user_catalogue IF conditional block fixes this bug.

Test plan:
1. Go to the circ home page and confirm the following
keyboard shortcuts work:

Alt+q = goes to search catalog
Alt+w = goes to renew

2. Go to returns.pl and confirm the following  keyboard shortcuts work:

Alt+q = goes to renew
Alt+w = goes to search catalog

3. Apply patch

4. Restart apache2, memchached and plack

5. Confirm on the returns.pl the following keyboard shortcuts work:
Alt+q = goes to search catalog
Alt+w = goes to renew

Sponsored-By: Catalyst IT

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Followed the test plan and it works.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2018-06-22 22:04:09 UTC
Awesome work all!

Pushed to master for 18.11.x
Comment 6 Martin Renvoize 2018-06-27 10:43:55 UTC
Pushed to 18.05.x for 18.05.02
Comment 7 Fridolin Somers 2018-07-02 05:27:16 UTC
Pushed to 17.11.x for 17.11.08